@charset "UTF-8";

* {
    margin: 0;
    padding: 0;

    font-family: 'Gorditas', 'Yusei Magic', cursive;

}


/* リンクの文字あれこれ */
a {
    display: block;

    /* 下線なし */
    text-decoration: none;

    color: #ffffff;
}

#twitter a{
    color: #00becc;
    font-size: 5em;
}

ul {
    width: 60%;

    /* 箇条書きの点なしに */
    list-style: none;

    /* 表示しない */
    display: none;

    position: absolute;
    top: 80px;
    right: 10px;
    z-index: 999;
}

li {
    line-height: 50px;
    background-color: #ffdd00;
    text-align: center;
    font-size: 2em;
    font-weight: 600;
}

a:hover {
    background-color: rgb(255, 255, 255, 0.3);
}




#logo {
    width: 100px;
}

/* header */
header {

        
    /* マージンの真ん中に文字 */
    align-items: center;
    display: flex;
    justify-content: right;
    padding: 10px;
    height: 50px;
    background-color: #ffffff;
}

/* メニューの四角いボタン */
nav p {
    width: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 2em;
    color: #ffffff;
    background-color: #ffdd00;
}



h1 {
    font-size: 15vw;
    color: #00becc ;
}

h2 {
    margin: 30px;
    font-size: 6vw;
}

p {
    font-size: 1.5vw;
}


/* main */

#wrap1 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 500px;   
}

#wrap2 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 800px;
    background-color: #ffdd00;
}

#wrap2 h3:nth-of-type(2) {
    margin-top: 0;
}
#wrap2 h3 {
    width: 100%;
    margin-top: 30px;
}

#wrap3 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 800px;
    background-color: #00becc;
    
}

#wrap3 h2 {
    margin-bottom: 30px;
}
#wrap3 h4 {
    font-size: 2vw;
    margin-top: 30px;
    padding: 10px 20px;
    background-color: #000000;
    border-radius: 100vh;
    outline: none;
    color: #00becc;
}

#wrap3 p{
font-size: 1em;
}

span {font-size: 0.8em;}


/* footer */

#wrap4 {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 400px;
    background-color: #ffffff;
    
}

#username {
    width: 50vw;
}
#email {
    width: 50vw;
}
#text {
    width: 50vw;
    height: 150px;
}



/* MediaQuery 781px以上 */

@media screen and (min-width:781px) {


    /* header */
    
    /* 三本線を消す */
    header {
        display: none;
    }

 

    /* main */
    
    #wrapper {
    width: 100%;
    }
    
    h2 {
        font-size: 6vw;
        margin-top: 30px;
    }

    #wrap1 {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 700px;
    }
    #wrap2 {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 1100px;
    }
    #wrap3 {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 1000px;
    }

    #wrap3 p {
        font-size: 1.2em;
    }    
    span {font-size: 0.8em;}

    #wrap4 {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        height: 600px;
    }

    #twitter a{
        color: #00becc;
        font-size: 3em;
    }

    #twitter a:hover {
        transform: scale(1.1);
    }



    #pc {
        display: flex;
        position: static;
        align-items: center;
        justify-content: center;

    }

    li {
        width: 150px;
        font-size: 2em;
        font-weight: 600;
        background-color: #ffdd00;
        text-align: center;
        margin: 10px;
        padding: 10px 20px;
        border-style: solid;
        border-width: 8px;
        border-color: #00becc;
	    border-radius: 100vh;
        outline: none;
    }

    li:hover {
        transform: scale(1.1);  
    }
    a:hover {
        background-color: transparent; 
    }





    /* footer */



}





/* スクロールトップ */
#scrollTop {
    position: fixed;
    bottom: 20px;
    right: 10px;
    font-size: 1em;
}

